rte_flow_update_meter_mark(3)

NAME
rte_flow_update_meter_mark

SYNOPSIS

#include <rte_flow.h>

  Data Fields

struct rte_flow_action_meter_mark meter_mark
uint32_t profile_valid:1
uint32_t policy_valid:1
uint32_t color_mode_valid:1
uint32_t state_valid:1
uint32_t reserved:28

Detailed Description

RTE_FLOW_ACTION_TYPE_METER_MARK

Wrapper structure for the context update interface.

Definition at line 4174 of file rte_flow.h.

Field Documentation

  struct rte_flow_action_meter_mark meter_mark
New meter_mark parameters to be updated.

Definition at line 4176 of file rte_flow.h.

  uint32_t profile_valid
The profile will be updated.

Definition at line 4178 of file rte_flow.h.

  uint32_t policy_valid
The policy will be updated.

Definition at line 4180 of file rte_flow.h.

  uint32_t color_mode_valid
The color mode will be updated.

Definition at line 4182 of file rte_flow.h.

  uint32_t state_valid
The meter state will be updated.

Definition at line 4184 of file rte_flow.h.

  uint32_t reserved
Reserved bits for the future usage.

Definition at line 4186 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.